# spec file for package eboard (Version 1.1.1)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:	A chess board interface for ICS and several chess engines
Name:		eboard
Version:	1.1.1
Release:	2.3
License:	GPL v2
Group:		Amusements/Games/Board/Chess
Source0:	%{name}-%{version}.tar.bz2
Source100:	%{name}.changes
Patch0:		%{name}-%{version}-desktop_entry.patch
Patch1:		%{name}-%{version}-cleanup_config_log.patch
Patch2:		%{name}-%{version}-fix_sound.patch
Patch3:		%{name}-%{version}-translations.patch
Patch4:		%{name}-%{version}-gcc44.patch
Patch5:		%{name}-%{version}-openSUSE_Factory-fix_linking.patch
Patch6:         eboard-libpng15.diff
URL:		http://eboard.sourceforge.net
BuildRequires:	gcc-c++ pkg-config gtk2-devel update-desktop-files
Buildroot:	%{_tmppath}/%{name}-%{version}-build
AutoReqprov:	on
Recommends:	polyglot crafty

%description
Eboard is a GTK+ chess board interface for ICS (Internet
Chess Servers) and chess engines (GNU Chess, Crafty, etc.).
It also displays games in PGN (Portable Game Notation)
format.

If you want to use UCI engines with eboard, you have to install "polyglot" as an UCI adapter.



%prep
%setup -q
#some patches, adapted from debian upstream
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p1

%build
./configure --prefix=/usr --extra-libs=dl --man-prefix=/usr/share/man
make

%install

make DESTDIR=$RPM_BUILD_ROOT install

%suse_update_desktop_file -i "%{name}" Game BoardGame

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog COPYING INSTALL README TODO Documentation/Crafty.txt Documentation/FICS-Timeseal.txt Documentation/GNUChess4.txt Documentation/GNUChess5.txt Documentation/Scripts.txt Documentation/Sjeng.txt Documentation/Themes.txt
%{_bindir}/%{name}*
%{_mandir}/man*/*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Tue Jul 20 2010 packman@links2linux.de
- fixed build for openSUSE 11.3
- patches refreshed
* Sun Aug 23 2009 AxelKoellhofer@web.de
- fixed build for openSUSE_Factory
- special thanks to Marcus Meissner for showing me the right direction (bnc#533563)
* Sat Aug 22 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 1.1.1
- based on spec by Felipe Bergo
- spec cleanup
* Fri May 25 2001 Felipe Bergo <bergo@seul.org>
- built from the gPS spec
